Sitecore Experience Commerce compatibility issue with OData Connected Service 0.5.0 and later

  • Visual Studio automatically upgrades the OData Connected Service tool to version 0.7.1. However, starting from version 0.5.0, OData Connected Service does not support OData libraries used by Sitecore Experience Commerce (SXC). In order to keep working with SXC, you must use OData Connected Service 0.3.0 only, but Microsoft no longer provides OData Connected Service 0.4.0 and earlier downloads.
  • To resolve the issue, consider one of the following options:
    • For Visual Studio 2017:
      1. Uninstall the current version of the OData Connected Service from the Visual Studio.
      2. Download and install the older version of the OData Connected Service 0.3.0 found on this page:
        Microsoft.OData.ConnectedService.vsix.
        Note: This version does not work with Visual Studio 2019 (neither with Sitecore XC 9.1.0-9.3.0 SDK though).
      3. Update OData Connected Service by selecting Connected Services, Commerce Ops/Commerce Shops,  Update OData Connected Service. This updates some NuGet packages for OData (Microsoft.OData.Core, Microsoft.OData.Edm, Microsoft.Spatial).
    • For Visual Studio 2019:
      SXC 9.1.0 - 9.3.0 SDK support Visual Studio 2019, but Visual Studio 2019 does not work with OData Connected Service 0.3.0. Therefore, it is required to use Visual Studio 2017 and 0.3.0 version of the OData Connected Service extension to generate the proxy, as defined above, in steps for Visual Studio 2017.

Applies to:

Sitecore Commerce 8.2.1 Initial Release - 8.2.1 Update-2, Sitecore Experience Commerce 9.0 Initial Release - 9.3 Initial Release

July 07, 2020
July 07, 2020

Reference number:

402152

Keywords: